import request from "@/utils/httpRequest";
import { FLOW_PATH as prefix } from "../AppPath";

export default {
	treeData: function (extId) {
		return request({
			url: prefix + "/extension/actCategory/treeData",
			method: "get",
			params: { extId: extId },
		});
	},

	save: function (inputForm) {
		return request({
			url: prefix + "/extension/actCategory/save",
			method: "post",
			data: inputForm,
		});
	},

	drag: function (inputForm) {
		return request({
			url: prefix + "/extension/actCategory/drag",
			method: "post",
			data: inputForm,
		});
	},

	delete: function (ids) {
		return request({
			url: prefix + "/extension/actCategory/delete",
			method: "delete",
			params: { ids: ids },
		});
	},

	queryById: function (id) {
		return request({
			url: prefix + "/extension/actCategory/queryById",
			method: "get",
			params: { id: id },
		});
	},
};
